WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Help with OS X install (8 posts)

  1. alksoft
    Member
    Posted 8 years ago #

    I'm trying to install WordPress on a Mac OS X 10.3.9 (client) box, but I'm having some trouble. I installed MySQL 5 for OS X (using the .pkg installer), and it seems to be working fine. I can connect on the command line with the mysql client.

    I then placed the WordPress files in a "blog" subdirectory of my ~/Sites directory (Apache uses the Sites directory as the user's www root folder).

    When I load the blog directory in a browser, I get a message that there was an "Error establishing a database connection." I know that the user & password in the wp-config.php file are correct (I can use them on the command line).

    Does anybody have any guesses as to what the problem could be?

    Thanks!
    Drew

  2. w3central
    Member
    Posted 8 years ago #

    This seems to be an older tutorial but it might contain hints you may have overlooked:

    http://maczealots.com/tutorials/wordpress/

  3. Michael Bishop

    Posted 8 years ago #

    mysql 5 might be the problem. I remember something about that when I did my X.3.9 install.
    http://www.entropy.ch/software/macosx/mysql/

    is the best info I found when doing this manually.

  4. alksoft
    Member
    Posted 8 years ago #

    Thanks to both of you. I just tried the maczealots tutorial verbatim, and the results are the same. I had already tried the directions on the entropy.ch site.

    @miklb: I'm thinking MySQL 5 is the problem, too. I don't see any mention of WordPress not being compatible with it on this site, but maybe the documentation is just slow...

    It's 1AM for me now, so tomorrow I'll have to try uninstalling MySQL and installing a previous version. Is there a version you would recommend? The MacZealots site says to use 4.0...

    -
    Drew

  5. Michael Bishop

    Posted 8 years ago #

    Yeah, it's not that WP isn't compatible with mysql 5.x it's that the version of PHP that comes preinstalled on x.3.9 isn't compatible with it. Definitely look over the entropy site, that's where I found my solution (though I don't remember what the problem was).

  6. alksoft
    Member
    Posted 8 years ago #

    AH HA!

    I read some of the reader comments on the MacZealots page. This one from "Patrick Lemmens" is interesting:

    Hi,

    It is possible to use MySQL 4.1.7 but they have changed the Password Hashing in MySQL 4.1

    WordPress doesn’t know about this but fortunately you can set the password in an other way so you can still use WordPress.

    Do the following: mysql> SET PASSWORD FOR -> 'root'@'localhost' = OLD_PASSWORD('password');


    I tried that with my installation of MySQL 5, and now WordPress seems to be working fine!

    Yay!

    Thanks for the tips, folks!

    -
    Drew

  7. curly
    Member
    Posted 8 years ago #

    To do a like 10 minute install, get MAMP (http://www.mamp.info) up and running on your Mac, that is even easier.

  8. alksoft
    Member
    Posted 8 years ago #

    That's interesting. I had no trouble installing MySQL, and I had previously configured my OS X box's Apache server with PHP.

    The only way I could see the MySQL installation being easier would be to abstract the command line interaction for those who aren't familiar with a CLI. Still, installing MySQL is easy enough!

    -
    Drew

Topic Closed

This topic has been closed to new replies.

About this Topic